Last Comment Bug 811176 - Clean up JIT code more aggressively
: Clean up JIT code more aggressively
Status: RESOLVED FIXED
[MemShrink:P2][soft-blocker]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal with 1 vote (vote)
: mozilla19
Assigned To: Bill McCloskey (:billm)
: general
Mentors:
Depends on:
Blocks: slim-fast 809988
  Show dependency treegraph
 
Reported: 2012-11-12 18:18 PST by Bill McCloskey (:billm)
Modified: 2012-11-14 14:13 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
fixed


Attachments
clean up on shrinking GCs (2.01 KB, patch)
2012-11-12 18:18 PST, Bill McCloskey (:billm)
terrence: review+
Details | Diff | Review
don't hang on to small exec pools across GCs (3.08 KB, patch)
2012-11-12 18:19 PST, Bill McCloskey (:billm)
n.nethercote: review+
Details | Diff | Review

Description Bill McCloskey (:billm) 2012-11-12 18:18:29 PST
Created attachment 680911 [details] [diff] [review]
clean up on shrinking GCs

We have a special GC mode for "clean up everything". However, it's not getting triggered for shrinking GCs. This patch fixes that.
Comment 1 Bill McCloskey (:billm) 2012-11-12 18:19:52 PST
Created attachment 680912 [details] [diff] [review]
don't hang on to small exec pools across GCs

Right now we hang on to small executable pools forever. This drops our references to them after every GC.
Comment 2 Justin Lebar (not reading bugmail) 2012-11-12 22:57:33 PST
Adding a direct slim-fast dependency so this is easier to find.  Thanks a lot for looking into this, Bill!
Comment 3 Terrence Cole [:terrence] 2012-11-13 09:44:43 PST
Comment on attachment 680911 [details] [diff] [review]
clean up on shrinking GCs

Review of attachment 680911 [details] [diff] [review]:
-----------------------------------------------------------------

Good find!

Note You need to log in before you can comment on or make changes to this bug.